Meetings

  • OpenAPI Version: 3.1.0
  • API Version: 1.0.0

The Zoom Meeting webhooks allow developers to receive events for Zoom Meetings and Webinars.

Operations

POST meeting.participant_jbh_waiting

  • Method: POST
  • Path: meeting.participant_jbh_waiting
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • user_name (required)

          string — The participant's display name.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (personal audio conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "id": "",
        "user_name": "",
        "customer_key": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • user_name (required)

          string — The participant's display name.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (personal audio conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "id": "",
        "user_name": "",
        "customer_key": ""
      }
    }
  }
}

POST meeting.summary_recovered

  • Method: POST
  • Path: meeting.summary_recovered
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the meeting summary.

      • meeting_end_time (required)

        string, format: date-time — The meeting's end date and time.

      • meeting_host_email (required)

        string, format: email — The meeting host's email address.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID - after a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • summary_created_time (required)

        string, format: date-time — The date and time when the meeting summary was created.

      • summary_end_time (required)

        string, format: date-time — The summary's end date and time.

      • summary_last_modified_time (required)

        string, format: date-time — The date and time when the meeting summary was last modified.

      • summary_start_time (required)

        string, format: date-time — The summary's start date and time.

      • summary_title (required)

        string — The summary title.

    • operator (required)

      string — The email address of the user who recovered the meeting summary.

    • operator_id (required)

      string — The user ID of the user who recovered the meeting summary.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "meeting_host_id": "",
      "meeting_host_email": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "meeting_end_time": "2020-07-15T23:30:19Z",
      "summary_start_time": "",
      "summary_end_time": "",
      "summary_created_time": "",
      "summary_last_modified_time": "",
      "summary_title": "",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the meeting summary.

      • meeting_end_time (required)

        string, format: date-time — The meeting's end date and time.

      • meeting_host_email (required)

        string, format: email — The meeting host's email address.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID - after a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • summary_created_time (required)

        string, format: date-time — The date and time when the meeting summary was created.

      • summary_end_time (required)

        string, format: date-time — The summary's end date and time.

      • summary_last_modified_time (required)

        string, format: date-time — The date and time when the meeting summary was last modified.

      • summary_start_time (required)

        string, format: date-time — The summary's start date and time.

      • summary_title (required)

        string — The summary title.

    • operator (required)

      string — The email address of the user who recovered the meeting summary.

    • operator_id (required)

      string — The user ID of the user who recovered the meeting summary.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "meeting_host_id": "",
      "meeting_host_email": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "meeting_end_time": "2020-07-15T23:30:19Z",
      "summary_start_time": "",
      "summary_end_time": "",
      "summary_created_time": "",
      "summary_last_modified_time": "",
      "summary_title": "",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST meeting.participant_left_breakout_room

  • Method: POST
  • Path: meeting.participant_left_breakout_room
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • breakout_room_uuid (required)

        string — The breakout room's universally unique identifier (UUID). Each breakout room instance generates a breakout room UUID.

      • duration (required)

        integer — The main scheduled meeting duration.

      • host_id (required)

        string — The main meeting host's user ID.

      • id (required)

        string — The main meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • email (required)

          string, format: email — The participant's email address. This response only returns if the participant joined the meeting by logging into Zoom.

        • leave_time (required)

          string, format: date-time — The time when the participant left the meeting.

        • user_id (required)

          string — The participant's meeting user ID. This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting.

        • user_name (required)

          string — The participant's display name.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's unique ID. * If meeting registration was **not** required and the participant joined by logging into Zoom, this value is the same as the userId field used in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API. * If registration was required for the meeting and the participant joined the meeting by logging into Zoom, this value is the same as the id value in the [**List meeting registrants**](/api-reference/zoom-api/methods#operation/meetingRegistrants) API response. * If participant joins without logging into Zoom, this returns an empty string value. This value returns blank for external users. **Note:** Use the participant_user_id value instead of this value. We will remove this response in a future release.

        • leave_reason

          string — The reason why the participant left the meeting.

        • parent_user_id

          string — The participant's main meeting user ID (user_id).

        • participant_user_id

          string — The participant's unique ID. * If meeting registration was **not** required and the participant joined by logging into Zoom, this value is the same as the userId field used in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API. * If registration was required for the meeting and the participant joined the meeting by logging into Zoom, this value is the same as the id value in the [**List meeting registrants**](/api-reference/zoom-api/methods#operation/meetingRegistrants) API response. * If participant joins without logging into Zoom, this returns an empty string value. This value returns blank for external users.

        • participant_uuid

          string — The participant's UUID for this specific meeting and any breakout rooms created in this meeting. This value is assigned to a participant when they join a meeting, and is only valid for the duration of that meeting.

        • phone_number

          string — Phone number of participant joined via PSTN.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

      • start_time (required)

        string — The main meeting's start time.

      • topic (required)

        string — The main meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The main meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The main meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • timezone

        string — The main meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "breakout_room_uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "user_id": "",
        "parent_user_id": "",
        "user_name": "",
        "id": "",
        "participant_uuid": "",
        "leave_time": "",
        "leave_reason": "",
        "email": "",
        "registrant_id": "",
        "participant_user_id": "",
        "phone_number": "8615250064084",
        "customer_key": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • breakout_room_uuid (required)

        string — The breakout room's universally unique identifier (UUID). Each breakout room instance generates a breakout room UUID.

      • duration (required)

        integer — The main scheduled meeting duration.

      • host_id (required)

        string — The main meeting host's user ID.

      • id (required)

        string — The main meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • email (required)

          string, format: email — The participant's email address. This response only returns if the participant joined the meeting by logging into Zoom.

        • leave_time (required)

          string, format: date-time — The time when the participant left the meeting.

        • user_id (required)

          string — The participant's meeting user ID. This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting.

        • user_name (required)

          string — The participant's display name.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's unique ID. * If meeting registration was **not** required and the participant joined by logging into Zoom, this value is the same as the userId field used in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API. * If registration was required for the meeting and the participant joined the meeting by logging into Zoom, this value is the same as the id value in the [**List meeting registrants**](/api-reference/zoom-api/methods#operation/meetingRegistrants) API response. * If participant joins without logging into Zoom, this returns an empty string value. This value returns blank for external users. **Note:** Use the participant_user_id value instead of this value. We will remove this response in a future release.

        • leave_reason

          string — The reason why the participant left the meeting.

        • parent_user_id

          string — The participant's main meeting user ID (user_id).

        • participant_user_id

          string — The participant's unique ID. * If meeting registration was **not** required and the participant joined by logging into Zoom, this value is the same as the userId field used in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API. * If registration was required for the meeting and the participant joined the meeting by logging into Zoom, this value is the same as the id value in the [**List meeting registrants**](/api-reference/zoom-api/methods#operation/meetingRegistrants) API response. * If participant joins without logging into Zoom, this returns an empty string value. This value returns blank for external users.

        • participant_uuid

          string — The participant's UUID for this specific meeting and any breakout rooms created in this meeting. This value is assigned to a participant when they join a meeting, and is only valid for the duration of that meeting.

        • phone_number

          string — Phone number of participant joined via PSTN.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

      • start_time (required)

        string — The main meeting's start time.

      • topic (required)

        string — The main meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The main meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The main meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • timezone

        string — The main meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "breakout_room_uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "user_id": "",
        "parent_user_id": "",
        "user_name": "",
        "id": "",
        "participant_uuid": "",
        "leave_time": "",
        "leave_reason": "",
        "email": "",
        "registrant_id": "",
        "participant_user_id": "",
        "phone_number": "8615250064084",
        "customer_key": ""
      }
    }
  }
}

POST meeting.device_tested

  • Method: POST
  • Path: meeting.device_tested
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object

      • id (required)

        integer, format: int64 — The meeting ID.

      • test_result (required)

        object — Information about the meeting's device test results.

        • camera_status (required)

          integer, possible values: 0, 1, 2 — The camera's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • microphone_status (required)

          integer, possible values: 0, 1, 2 — The microphone's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • speaker_status (required)

          integer, possible values: 0, 1, 2 — The speaker's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • user_id (required)

          string — The user's ID.

        • user_name (required)

          string — The user's username.

        • os

          string — The user's operating system.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "test_result": {
        "user_id": "",
        "user_name": "",
        "camera_status": 0,
        "speaker_status": 0,
        "microphone_status": 0,
        "os": "",
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object

      • id (required)

        integer, format: int64 — The meeting ID.

      • test_result (required)

        object — Information about the meeting's device test results.

        • camera_status (required)

          integer, possible values: 0, 1, 2 — The camera's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • microphone_status (required)

          integer, possible values: 0, 1, 2 — The microphone's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • speaker_status (required)

          integer, possible values: 0, 1, 2 — The speaker's status: * 2 — Device working. * 1 — Device not working. * 0 — Device not tested.

        • user_id (required)

          string — The user's ID.

        • user_name (required)

          string — The user's username.

        • os

          string — The user's operating system.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "test_result": {
        "user_id": "",
        "user_name": "",
        "camera_status": 0,
        "speaker_status": 0,
        "microphone_status": 0,
        "os": "",
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST meeting.summary_shared

  • Method: POST
  • Path: meeting.summary_shared
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the meeting summary.

      • meeting_end_time (required)

        string, format: date-time — The meeting's end date and time.

      • meeting_host_email (required)

        string, format: email — The meeting host's email address.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • share_with_users (required)

        array — Information about the shared users.

        Items:

        • user_email (required)

          string, format: email — The shared user email.

      • summary_created_time (required)

        string, format: date-time — The date and time when the meeting summary was created.

      • summary_end_time (required)

        string, format: date-time — The summary's end date and time.

      • summary_last_modified_time (required)

        string, format: date-time — The date and time when the meeting summary was last modified.

      • summary_start_time (required)

        string, format: date-time — The summary's start date and time.

      • summary_title (required)

        string — The summary title.

    • operator (required)

      string — The email address of the user who shared the meeting summary.

    • operator_id (required)

      string — The user ID of the user who shared the meeting summary.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "meeting_host_id": "",
      "meeting_host_email": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "meeting_end_time": "2020-07-15T23:30:19Z",
      "summary_start_time": "",
      "summary_end_time": "",
      "summary_created_time": "",
      "summary_last_modified_time": "",
      "summary_title": "",
      "share_with_users": [
        {
          "user_email": "",
          "additionalProperty": "anything"
        }
      ],
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the meeting summary.

      • meeting_end_time (required)

        string, format: date-time — The meeting's end date and time.

      • meeting_host_email (required)

        string, format: email — The meeting host's email address.

      • meeting_host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID. After a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

      • share_with_users (required)

        array — Information about the shared users.

        Items:

        • user_email (required)

          string, format: email — The shared user email.

      • summary_created_time (required)

        string, format: date-time — The date and time when the meeting summary was created.

      • summary_end_time (required)

        string, format: date-time — The summary's end date and time.

      • summary_last_modified_time (required)

        string, format: date-time — The date and time when the meeting summary was last modified.

      • summary_start_time (required)

        string, format: date-time — The summary's start date and time.

      • summary_title (required)

        string — The summary title.

    • operator (required)

      string — The email address of the user who shared the meeting summary.

    • operator_id (required)

      string — The user ID of the user who shared the meeting summary.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "meeting_host_id": "",
      "meeting_host_email": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "meeting_end_time": "2020-07-15T23:30:19Z",
      "summary_start_time": "",
      "summary_end_time": "",
      "summary_created_time": "",
      "summary_last_modified_time": "",
      "summary_title": "",
      "share_with_users": [
        {
          "user_email": "",
          "additionalProperty": "anything"
        }
      ],
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST webinar.chat_message_file_downloaded

  • Method: POST
  • Path: webinar.chat_message_file_downloaded
  • Tags: webinar

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • object (required)

      object — Information about the chat message file.

      • chat_message_file (required)

        object — Information about the chat message file.

        • file_id (required)

          string — The live webinar chat file's UUID.

        • file_name (required)

          string — The live webinar chat file's name.

        • file_size (required)

          integer — The live webinar chat file's size, in bytes.

        • file_type (required)

          string — The live webinar chat file's type.

        • file_owner_id

          string — The user ID of the user who uploaded the team chat file. This value returns blank for external users.

      • host_account_id (required)

        string — The webinar host's account ID. The value will be an empty string if this info is from an external user.

      • id (required)

        integer, format: int64 — The webinar ID.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a meeting UUID.

    • operator (required)

      string, format: email or name — The email address of the user who downloaded the file. This value returns the operator name for external users.

    • account_id

      string — The account ID of the user who downloaded the file. This value returns blank for external users.

    • operator_id

      string — The user ID of the user who downloaded the file. This value returns blank for external users.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_account_id": "",
      "chat_message_file": {
        "file_id": "",
        "file_name": "",
        "file_size": 1,
        "file_type": "",
        "file_owner_id": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • object (required)

      object — Information about the chat message file.

      • chat_message_file (required)

        object — Information about the chat message file.

        • file_id (required)

          string — The live webinar chat file's UUID.

        • file_name (required)

          string — The live webinar chat file's name.

        • file_size (required)

          integer — The live webinar chat file's size, in bytes.

        • file_type (required)

          string — The live webinar chat file's type.

        • file_owner_id

          string — The user ID of the user who uploaded the team chat file. This value returns blank for external users.

      • host_account_id (required)

        string — The webinar host's account ID. The value will be an empty string if this info is from an external user.

      • id (required)

        integer, format: int64 — The webinar ID.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a meeting UUID.

    • operator (required)

      string, format: email or name — The email address of the user who downloaded the file. This value returns the operator name for external users.

    • account_id

      string — The account ID of the user who downloaded the file. This value returns blank for external users.

    • operator_id

      string — The user ID of the user who downloaded the file. This value returns blank for external users.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_account_id": "",
      "chat_message_file": {
        "file_id": "",
        "file_name": "",
        "file_size": 1,
        "file_type": "",
        "file_owner_id": ""
      }
    }
  }
}

POST webinar.deleted

  • Method: POST
  • Path: webinar.deleted
  • Tags: webinar

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who deleted the webinar.

    • object (required)

      object — Information about the webinar.

      • host_id (required)

        string — The webinar host's user ID.

      • id (required)

        integer, format: int64 — The webinar ID.

      • type (required)

        integer, possible values: 5, 6, 9 — The webinar type: * 5 — A webinar. * 6 — A recurring webinar without a fixed time. * 9 — A recurring webinar with a fixed time.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.

      • duration

        integer — The scheduled webinar duration.

      • occurrences

        array — Information about recurring webinars with fixed times and their occurrences. This only returns when the webinar's type value is 9.

        Items:

        Any of:

        • occurrence_id (required)

          string — The webinar occurrence's ID.

        • start_time (required)

          string, format: date-time — The webinar's start time.

      • start_time

        string, format: date-time — The webinar's start time.

      • timezone

        string — The webinar's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

      • topic

        string — The webinar's topic.

    • operator (required)

      string — The email address of the user who deleted the webinar.

    • operation

      string, possible values: "all", "single" — The type of operation performed: * all — The change was applied to all webinars. * single — The change was applied only to a single webinar.

    • operator_id

      string — The user ID of the user who deleted the webinar.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operation": "all",
    "object": {
      "uuid": "",
      "id": 1,
      "host_id": "",
      "topic": "",
      "type": 5,
      "start_time": "",
      "duration": 1,
      "timezone": "",
      "occurrences": [
        {
          "occurrence_id": "",
          "start_time": "",
          "additionalProperty": "anything"
        }
      ],
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who deleted the webinar.

    • object (required)

      object — Information about the webinar.

      • host_id (required)

        string — The webinar host's user ID.

      • id (required)

        integer, format: int64 — The webinar ID.

      • type (required)

        integer, possible values: 5, 6, 9 — The webinar type: * 5 — A webinar. * 6 — A recurring webinar without a fixed time. * 9 — A recurring webinar with a fixed time.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.

      • duration

        integer — The scheduled webinar duration.

      • occurrences

        array — Information about recurring webinars with fixed times and their occurrences. This only returns when the webinar's type value is 9.

        Items:

        Any of:

        • occurrence_id (required)

          string — The webinar occurrence's ID.

        • start_time (required)

          string, format: date-time — The webinar's start time.

      • start_time

        string, format: date-time — The webinar's start time.

      • timezone

        string — The webinar's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

      • topic

        string — The webinar's topic.

    • operator (required)

      string — The email address of the user who deleted the webinar.

    • operation

      string, possible values: "all", "single" — The type of operation performed: * all — The change was applied to all webinars. * single — The change was applied only to a single webinar.

    • operator_id

      string — The user ID of the user who deleted the webinar.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "operation": "all",
    "object": {
      "uuid": "",
      "id": 1,
      "host_id": "",
      "topic": "",
      "type": 5,
      "start_time": "",
      "duration": 1,
      "timezone": "",
      "occurrences": [
        {
          "occurrence_id": "",
          "start_time": "",
          "additionalProperty": "anything"
        }
      ],
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST recording.registration_approved

  • Method: POST
  • Path: recording.registration_approved
  • Tags: recording

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the host that recorded the meeting or webinar.

    • object (required)

      object — Information about the recording registration.

      • duration (required)

        integer — The meeting or webinar's scheduled duration.

      • host_id (required)

        string — The ID of the user set as the host of the meeting or webinar.

      • id (required)

        integer, format: int64 — The ID of the recorded meeting (meetingId) or webinar (webinarId).

      • registrant (required)

        object — Information about the recording registrant.

        • email (required)

          string, format: email — The registrant's email address.

        • first_name (required)

          string — The registrant's first name.

        • last_name (required)

          string — The registrant's last name.

        • id

          string — The registrant's ID.

      • start_time (required)

        string, format: date-time — The meeting or webinar's start time.

      • topic (required)

        string — The meeting or webinar topic.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 99 — The type of recorded meeting or webinar: If the recording is of a meeting: * 1 — Instant meeting. * 2 — Scheduled meeting. * 3 — A recurring meeting with no fixed time. * 4 — A meeting created via PMI (Personal Meeting ID). * 7 — A [Personal Audio Conference](https://support.zoom.us/hc/en-us/articles/204517069-Getting-Started-with-Personal-Audio-Conference) (PAC). * 8 - Recurring meeting with a fixed time. If the recording is of a webinar: * 5 — A webinar. * 6 — A recurring webinar without a fixed time. * 9 — A recurring webinar with a fixed time. If the recording is **not** from a meeting or webinar: * 99 — A recording uploaded via the [**Recordings**](https://zoom.us/recording) interface on the Zoom Web Portal.

      • uuid (required)

        string — The universally unique identifier (UUID) of the recorded meeting or webinar instance.

      • timezone

        string — The meeting or webinar's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

    • operator (required)

      string, format: email — The email address of the user that approved registration for the meeting or webinar recording.

    • operator_id (required)

      string — The user ID of the user that approved registration for the meeting or webinar recording.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 1,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "registrant": {
        "id": "",
        "email": "",
        "first_name": "",
        "last_name": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the host that recorded the meeting or webinar.

    • object (required)

      object — Information about the recording registration.

      • duration (required)

        integer — The meeting or webinar's scheduled duration.

      • host_id (required)

        string — The ID of the user set as the host of the meeting or webinar.

      • id (required)

        integer, format: int64 — The ID of the recorded meeting (meetingId) or webinar (webinarId).

      • registrant (required)

        object — Information about the recording registrant.

        • email (required)

          string, format: email — The registrant's email address.

        • first_name (required)

          string — The registrant's first name.

        • last_name (required)

          string — The registrant's last name.

        • id

          string — The registrant's ID.

      • start_time (required)

        string, format: date-time — The meeting or webinar's start time.

      • topic (required)

        string — The meeting or webinar topic.

      • type (required)

        integer, possible values: 1, 2, 3, 4, 5, 6, 7, 8, 9, 99 — The type of recorded meeting or webinar: If the recording is of a meeting: * 1 — Instant meeting. * 2 — Scheduled meeting. * 3 — A recurring meeting with no fixed time. * 4 — A meeting created via PMI (Personal Meeting ID). * 7 — A [Personal Audio Conference](https://support.zoom.us/hc/en-us/articles/204517069-Getting-Started-with-Personal-Audio-Conference) (PAC). * 8 - Recurring meeting with a fixed time. If the recording is of a webinar: * 5 — A webinar. * 6 — A recurring webinar without a fixed time. * 9 — A recurring webinar with a fixed time. If the recording is **not** from a meeting or webinar: * 99 — A recording uploaded via the [**Recordings**](https://zoom.us/recording) interface on the Zoom Web Portal.

      • uuid (required)

        string — The universally unique identifier (UUID) of the recorded meeting or webinar instance.

      • timezone

        string — The meeting or webinar's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

    • operator (required)

      string, format: email — The email address of the user that approved registration for the meeting or webinar recording.

    • operator_id (required)

      string — The user ID of the user that approved registration for the meeting or webinar recording.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 1,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "registrant": {
        "id": "",
        "email": "",
        "first_name": "",
        "last_name": ""
      }
    }
  }
}

POST meeting.risk_alert

  • Method: POST
  • Path: meeting.risk_alert
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • armn_details (required)

        object — Information about the at-risk meeting notifier (ARMN).

        • meeting_url

          string — The meeting's URL.

        • post_platform

          string — The post's social media platform. For example, Twitter, Reddit, or Facebook.

        • post_time

          string, format: date-time — The post's timestamp.

        • post_user

          string — The user who created the social media post.

        • recommended_disable_settings

          array — A comma-separated list of the recommended settings to disable: * enableAnnotation * enableMeetingChat * enableScreenShare * enableMultipleShare

          Items:

          string, possible values: "enableAnnotation", "enableMeetingChat", "enableScreenShare", "enableMultipleShare"

        • recommended_enable_settings

          array — A comma-separated list of the recommended settings to enable: * enablePassword * enableWaitingRoom * enableOnlyAuthenticated * enableRegistration * enableScreenShareLock * enableScreenShareHostOnly * enableSpecifiedDomain

          Items:

          string, possible values: "enablePassword", "enableWaitingRoom", "enableOnlyAuthenticated", "enableRegistration", "enableScreenShareLock", "enableScreenShareHostOnly", "enableSpecifiedDomain"

        • social_link

          string — The link to the social media post.

      • host_email (required)

        string, format: email — The meeting host's email address.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type: * 0 — A prescheduled meeting. * 1 — An instant meeting. * 2 — A scheduled meeting. * 3 — A recurring meeting with no fixed time. * 4 — A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 — A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 — A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

      • topic

        string — The meeting's topic.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "host_email": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "armn_details": {
        "post_platform": "",
        "social_link": "",
        "post_time": "",
        "post_user": "",
        "meeting_url": "",
        "recommended_enable_settings": [
          "enablePassword"
        ],
        "recommended_disable_settings": [
          "enableAnnotation"
        ],
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp at which the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • armn_details (required)

        object — Information about the at-risk meeting notifier (ARMN).

        • meeting_url

          string — The meeting's URL.

        • post_platform

          string — The post's social media platform. For example, Twitter, Reddit, or Facebook.

        • post_time

          string, format: date-time — The post's timestamp.

        • post_user

          string — The user who created the social media post.

        • recommended_disable_settings

          array — A comma-separated list of the recommended settings to disable: * enableAnnotation * enableMeetingChat * enableScreenShare * enableMultipleShare

          Items:

          string, possible values: "enableAnnotation", "enableMeetingChat", "enableScreenShare", "enableMultipleShare"

        • recommended_enable_settings

          array — A comma-separated list of the recommended settings to enable: * enablePassword * enableWaitingRoom * enableOnlyAuthenticated * enableRegistration * enableScreenShareLock * enableScreenShareHostOnly * enableSpecifiedDomain

          Items:

          string, possible values: "enablePassword", "enableWaitingRoom", "enableOnlyAuthenticated", "enableRegistration", "enableScreenShareLock", "enableScreenShareHostOnly", "enableSpecifiedDomain"

        • social_link

          string — The link to the social media post.

      • host_email (required)

        string, format: email — The meeting host's email address.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type: * 0 — A prescheduled meeting. * 1 — An instant meeting. * 2 — A scheduled meeting. * 3 — A recurring meeting with no fixed time. * 4 — A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 — A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 — A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://marketplace.zoom.us/docs/api-reference/other-references/abbreviation-lists#timezones).

      • topic

        string — The meeting's topic.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "host_email": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "armn_details": {
        "post_platform": "",
        "social_link": "",
        "post_time": "",
        "post_user": "",
        "meeting_url": "",
        "recommended_enable_settings": [
          "enablePassword"
        ],
        "recommended_disable_settings": [
          "enableAnnotation"
        ],
        "additionalProperty": "anything"
      },
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST meeting.aic_transcript_completed

  • Method: POST
  • Path: meeting.aic_transcript_completed
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the transcript.

      • attach_type (required)

        string, format: string — Each file ID has many attachments. Use this attach_type to download different attachments. In this webhook, the attach_type always equals durable_transcript.

      • file_id (required)

        string, format: string — Transcript file ID.

      • host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID - after a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "host_id": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "file_id": "aDYlohsHRtCd4ii1uC290OP",
      "attach_type": "durable_transcript",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who hosted the meeting.

    • object (required)

      object — Information about the transcript.

      • attach_type (required)

        string, format: string — Each file ID has many attachments. Use this attach_type to download different attachments. In this webhook, the attach_type always equals durable_transcript.

      • file_id (required)

        string, format: string — Transcript file ID.

      • host_id (required)

        string — The ID of the user who is set as the meeting host.

      • meeting_id (required)

        integer, format: int64 — [Meeting ID](https://support.zoom.us/hc/en-us/articles/201362373-What-is-a-Meeting-ID-) - the meeting's unique identifier in **long** format, represented as int64 data type in JSON. Also known as the meeting number.

      • meeting_start_time (required)

        string, format: date-time — The meeting's start date and time.

      • meeting_topic (required)

        string — Meeting topic.

      • meeting_uuid (required)

        string — Unique meeting ID. Each meeting instance generates its own meeting UUID - after a meeting ends, a new UUID is generated for the next instance of the meeting. Retrieve a list of UUIDs from past meeting instances using the [**List past meeting instances**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods/#operation/pastMeetings) API. [Double encode](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#meeting-id-and-uuid) your UUID when using it for API calls if the UUID begins with a / or contains // in it.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "host_id": "",
      "meeting_uuid": "",
      "meeting_id": 1,
      "meeting_topic": "",
      "meeting_start_time": "",
      "file_id": "aDYlohsHRtCd4ii1uC290OP",
      "attach_type": "durable_transcript",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST webinar.participant_feedback

  • Method: POST
  • Path: webinar.participant_feedback
  • Tags: webinar

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who commits the feedback.

    • object (required)

      object — Information about the webinar.

      • id (required)

        string — The webinar ID.

      • participant (required)

        object — Information about the webinar participant.

        • feedback (required)

          object — Information about the feedback.

          • satisfied (required)

            boolean — Whether the participant is satisfied.

          • comments

            string — The participant's comments. This returns null if the satisfied field is true.

          • feedback_details

            array — The feedback details. This returns null if the satisfied field is true.

            Items:

            • id (required)

              string — The feedback ID. * 1 — Poor video quality. * 2 — Poor audio quality. * 5 — Unable to present using share.zoom.us. * 7 — Unable to make phone call. * 8 — They could not hear us. * 9 — We could not hear them. * 10 — They could not see us. * 11 — We could not see them. * 12 — Could not present computer screen. * 999 — Others.

            • name (required)

              string — The feedback name.

        • participant_user_id (required)

          string — The participant's universally unique ID (UUID). This value returns blank for external users.

        • participant_uuid (required)

          string — The participant's meeting universally unique ID (UUID). This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting. This value will not be changed when the participant joins/leaves a breakout room.

        • user_name (required)

          string — The participant's display name.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "participant": {
        "participant_uuid": "",
        "participant_user_id": "",
        "user_name": "",
        "feedback": {
          "satisfied": true,
          "feedback_details": [
            {
              "id": "",
              "name": ""
            }
          ],
          "comments": ""
        }
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who commits the feedback.

    • object (required)

      object — Information about the webinar.

      • id (required)

        string — The webinar ID.

      • participant (required)

        object — Information about the webinar participant.

        • feedback (required)

          object — Information about the feedback.

          • satisfied (required)

            boolean — Whether the participant is satisfied.

          • comments

            string — The participant's comments. This returns null if the satisfied field is true.

          • feedback_details

            array — The feedback details. This returns null if the satisfied field is true.

            Items:

            • id (required)

              string — The feedback ID. * 1 — Poor video quality. * 2 — Poor audio quality. * 5 — Unable to present using share.zoom.us. * 7 — Unable to make phone call. * 8 — They could not hear us. * 9 — We could not hear them. * 10 — They could not see us. * 11 — We could not see them. * 12 — Could not present computer screen. * 999 — Others.

            • name (required)

              string — The feedback name.

        • participant_user_id (required)

          string — The participant's universally unique ID (UUID). This value returns blank for external users.

        • participant_uuid (required)

          string — The participant's meeting universally unique ID (UUID). This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting. This value will not be changed when the participant joins/leaves a breakout room.

        • user_name (required)

          string — The participant's display name.

      • uuid (required)

        string — The webinar's universally unique identifier (UUID). Each webinar instance generates a webinar UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "participant": {
        "participant_uuid": "",
        "participant_user_id": "",
        "user_name": "",
        "feedback": {
          "satisfied": true,
          "feedback_details": [
            {
              "id": "",
              "name": ""
            }
          ],
          "comments": ""
        }
      }
    }
  }
}

POST meeting.participant_joined_waiting_room

  • Method: POST
  • Path: meeting.participant_joined_waiting_room
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the main meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant. If the participant is **not** part of the host's account, email returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details.

        • date_time (required)

          string, format: date-time — The time when the participant joined the meeting.

        • email (required)

          string, format: email — The participant's email address. This response only returns if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details.

        • user_id (required)

          string — The participant's meeting user ID. This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value. This value returns blank for external users. **Note:** Use the participant_user_id value instead of this value. We will remove this response in a future release.

        • participant_user_id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value. This value returns blank for external users.

        • participant_uuid

          string — The participant's UUID for this specific meeting and any breakout rooms created in this meeting. This value is assigned to a participant when they join a meeting, and is only valid for the duration of that meeting.

        • phone_number

          string — Phone number of participant joined via PSTN.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

        • user_name

          string — The participant's display name.

      • start_time (required)

        string — The meeting's start time.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "user_id": "",
        "user_name": "",
        "id": "",
        "participant_uuid": "",
        "date_time": "",
        "email": "",
        "phone_number": "8615250064084",
        "participant_user_id": "",
        "customer_key": "",
        "registrant_id": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the main meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant. If the participant is **not** part of the host's account, email returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details.

        • date_time (required)

          string, format: date-time — The time when the participant joined the meeting.

        • email (required)

          string, format: email — The participant's email address. This response only returns if the participant joined the meeting by logging into Zoom. If the participant is **not** part of the host's account, this returns an empty string value, with some exceptions. See [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) for details.

        • user_id (required)

          string — The participant's meeting user ID. This value is assigned to a participant when they join a meeting, and is only valid for the duration of the meeting.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value. This value returns blank for external users. **Note:** Use the participant_user_id value instead of this value. We will remove this response in a future release.

        • participant_user_id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](https://developers.zoom.us/docs/api/rest/reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value. This value returns blank for external users.

        • participant_uuid

          string — The participant's UUID for this specific meeting and any breakout rooms created in this meeting. This value is assigned to a participant when they join a meeting, and is only valid for the duration of that meeting.

        • phone_number

          string — Phone number of participant joined via PSTN.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

        • user_name

          string — The participant's display name.

      • start_time (required)

        string — The meeting's start time.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (Personal Audio Conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "user_id": "",
        "user_name": "",
        "id": "",
        "participant_uuid": "",
        "date_time": "",
        "email": "",
        "phone_number": "8615250064084",
        "participant_user_id": "",
        "customer_key": "",
        "registrant_id": ""
      }
    }
  }
}

POST meeting.ai_companion_assets_deleted

  • Method: POST
  • Path: meeting.ai_companion_assets_deleted
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user that hosted the meeting.

    • object (required)

      object — The meeting where the AI Companion assets were deleted.

      • ai_companion (required)

        object — The AI Companion assets that were deleted.

        • deleted_assets (required)

          array — List of AI Companion assets that were deleted.

          Items:

          string, possible values: "transcripts", "summaries"

      • host_id (required)

        string — The ID of the user set as the host of the meeting.

      • meeting_number (required)

        integer, format: int64 — The meeting number.

      • meeting_uuid (required)

        string — The meeting's universally unique identifier (UUID).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "meeting_number": 1,
      "meeting_uuid": "",
      "host_id": "",
      "ai_companion": {
        "deleted_assets": [
          "transcripts"
        ]
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — The timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user that hosted the meeting.

    • object (required)

      object — The meeting where the AI Companion assets were deleted.

      • ai_companion (required)

        object — The AI Companion assets that were deleted.

        • deleted_assets (required)

          array — List of AI Companion assets that were deleted.

          Items:

          string, possible values: "transcripts", "summaries"

      • host_id (required)

        string — The ID of the user set as the host of the meeting.

      • meeting_number (required)

        integer, format: int64 — The meeting number.

      • meeting_uuid (required)

        string — The meeting's universally unique identifier (UUID).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "meeting_number": 1,
      "meeting_uuid": "",
      "host_id": "",
      "ai_companion": {
        "deleted_assets": [
          "transcripts"
        ]
      }
    }
  }
}

POST webinar.converted_to_meeting

  • Method: POST
  • Path: webinar.converted_to_meeting
  • Tags: webinar

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who converted the webinar into a meeting.

    • object (required)

      object — Information about the meeting converted from a webinar.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • type (required)

        integer, possible values: 2, 3, 8 — The meeting type. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 8 - A recurring meeting with fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID).

      • duration

        integer — The scheduled meeting's duration, in minutes. Returned only when the meeting type is 2.

      • start_time

        string, format: date-time — The scheduled meeting's start time. Returned only when the meeting type is 2.

      • timezone

        string — The meeting's [timezone](/docs/api/references/abbreviations/#timezones).

      • topic

        string — The meeting's topic.

    • operator (required)

      string — The email address of the user who converted the webinar into a meeting.

    • operator_id

      string — The user ID of the user who converted the webinar into a meeting.

  • event_ts

    integer, format: int64 — A timestamp at which the event occurred.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "uuid": "",
      "id": 1,
      "host_id": "",
      "topic": "",
      "type": 2,
      "start_time": "",
      "duration": 1,
      "timezone": "",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who converted the webinar into a meeting.

    • object (required)

      object — Information about the meeting converted from a webinar.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • type (required)

        integer, possible values: 2, 3, 8 — The meeting type. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 8 - A recurring meeting with fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID).

      • duration

        integer — The scheduled meeting's duration, in minutes. Returned only when the meeting type is 2.

      • start_time

        string, format: date-time — The scheduled meeting's start time. Returned only when the meeting type is 2.

      • timezone

        string — The meeting's [timezone](/docs/api/references/abbreviations/#timezones).

      • topic

        string — The meeting's topic.

    • operator (required)

      string — The email address of the user who converted the webinar into a meeting.

    • operator_id

      string — The user ID of the user who converted the webinar into a meeting.

  • event_ts

    integer, format: int64 — A timestamp at which the event occurred.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "uuid": "",
      "id": 1,
      "host_id": "",
      "topic": "",
      "type": 2,
      "start_time": "",
      "duration": 1,
      "timezone": "",
      "additionalProperty": "anything"
    },
    "additionalProperty": "anything"
  },
  "additionalProperty": "anything"
}

POST meeting.participant_phone_callout_ringing

  • Method: POST
  • Path: meeting.participant_phone_callout_ringing
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The meeting host's account ID.

    • object (required)

      object — Information about the meeting.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • participant (required)

        object — Information about the invited participant.

        • invitee_name (required)

          string — The user's name to display in the meeting.

        • phone_number (required)

          integer, format: int64 — The user's phone number.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "participant": {
        "invitee_name": "",
        "phone_number": 1
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The meeting host's account ID.

    • object (required)

      object — Information about the meeting.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        integer, format: int64 — The meeting ID.

      • participant (required)

        object — Information about the invited participant.

        • invitee_name (required)

          string — The user's name to display in the meeting.

        • phone_number (required)

          integer, format: int64 — The user's phone number.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": 1,
      "uuid": "",
      "host_id": "",
      "participant": {
        "invitee_name": "",
        "phone_number": 1
      }
    }
  }
}

POST meeting.participant_jbh_joined

  • Method: POST
  • Path: meeting.participant_jbh_joined
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

        • user_name

          string — The participant's display name.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (personal audio conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "id": "",
        "user_name": "",
        "customer_key": "",
        "registrant_id": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The account ID of the user who created the meeting.

    • object (required)

      object — Information about the meeting.

      • duration (required)

        integer — The scheduled meeting duration.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the meeting participant.

        • customer_key

          string — The participant's SDK identifier. This value can be alphanumeric.

        • id

          string — The participant's universally unique ID (UUID). * If the participant joins the meeting by logging into Zoom, this value is the id value in the [**Get a user**](/api-reference/zoom-api/methods#operation/user) API response. * If the participant joins the meeting **without** logging into Zoom, this returns an empty string value.

        • registrant_id

          string — The participant's registrant ID. A host or a user with administrative permissions can require [registration for Zoom meetings](https://support.zoom.com/hc/en/article?id=zm_kb&sysparm_article=KB0065026).

        • user_name

          string — The participant's display name.

      • topic (required)

        string — The meeting's topic.

      • type (required)

        integer, possible values: 0, 1, 2, 3, 4, 7, 8 — The meeting type. * 0 - A prescheduled meeting. * 1 - An instant meeting. * 2 - A scheduled meeting. * 3 - A recurring meeting with no fixed time. * 4 - A [personal meeting room](https://support.zoom.us/hc/en-us/articles/201362843). * 7 - A [PAC (personal audio conference)](https://support.zoom.us/hc/en-us/articles/205172455-Hosting-a-Personal-Audio-Conference-PAC-meeting) meeting. * 8 - A recurring meeting with a fixed time.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

      • start_time

        string, format: date-time — The meeting's start time.

      • timezone

        string — The meeting's [timezone](https://developers.zoom.us/docs/api/rest/other-references/abbreviation-lists/#timezones).

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "type": 0,
      "start_time": "",
      "timezone": "",
      "duration": 1,
      "participant": {
        "id": "",
        "user_name": "",
        "customer_key": "",
        "registrant_id": ""
      }
    }
  }
}

POST meeting.invitation_accepted

  • Method: POST
  • Path: meeting.invitation_accepted
  • Tags: meeting

Request Body

Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The meeting host's account ID.

    • object (required)

      object — Information about the meeting.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the invited participant.

        • email (required)

          string, format: email — The email address of the user who received the meeting invitation. If the participant is **not** part of the host's account, the email field returns an empty string value, with some exceptions. For more information, read our [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) documentation.

        • participant_user_id (required)

          string — The user ID of the user who received the meeting invitation.

      • topic (required)

        string — The meeting's topic.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

    • operator (required)

      string — The email address of the user who accepted the meeting.

    • operator_id (required)

      string — The user ID of the user who accepted the meeting.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "participant": {
        "participant_user_id": "",
        "email": ""
      }
    }
  }
}

Responses

Status: 200
Content-Type: application/json
  • event (required)

    string — The event's name.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id (required)

      string — The meeting host's account ID.

    • object (required)

      object — Information about the meeting.

      • host_id (required)

        string — The meeting host's user ID.

      • id (required)

        string — The meeting ID.

      • participant (required)

        object — Information about the invited participant.

        • email (required)

          string, format: email — The email address of the user who received the meeting invitation. If the participant is **not** part of the host's account, the email field returns an empty string value, with some exceptions. For more information, read our [Email address display rules](https://developers.zoom.us/docs/api/rest/using-zoom-apis/#email-address-display-rules) documentation.

        • participant_user_id (required)

          string — The user ID of the user who received the meeting invitation.

      • topic (required)

        string — The meeting's topic.

      • uuid (required)

        string — The meeting's universally unique identifier (UUID). Each meeting instance generates a meeting UUID.

    • operator (required)

      string — The email address of the user who accepted the meeting.

    • operator_id (required)

      string — The user ID of the user who accepted the meeting.

Example:

{
  "event": "",
  "event_ts": 1,
  "payload": {
    "account_id": "",
    "operator": "",
    "operator_id": "",
    "object": {
      "id": "",
      "uuid": "",
      "host_id": "",
      "topic": "",
      "participant": {
        "participant_user_id": "",
        "email": ""
      }
    }
  }
}

POST recording.archive_files_completed

  • Method: POST
  • Path: recording.archive_files_completed
  • Tags: recording

Request Body

Content-Type: application/json
  • download_token (required)

    string — Use the generated token value with the download_url value to download the cloud recording via an [OAuth app](https://marketplace.zoom.us/docs/guides/getting-started/app-types/create-oauth-app). The download token only lasts for 24 hours after its creation, and you can only download the file within 24 hours of receiving the event notification. You can either include the download_token as a query parameter or pass it as a Bearer token in the Authorization header of your HTTP request. **Using an Authorization header (Recommended)** curl --request GET \ --url {download_url} \ --header 'authorization: Bearer {download_token} \ --header 'content-type: application/json' **Using a query parameter** {download_url}/?access_token={download_token} For example: https://zoom.us/recording/download/123456?access_token=abcdefgh

  • event (required)

    string — The name of the event.

  • event_ts (required)

    integer, format: int64 — A timestamp when the event occurred.

  • payload (required)

    object

    • account_id

      string — The account ID of the user who hosted the meeting or the webinar.

    • object

      object — Information about the webinar or meeting recording.

      • account_name

        string — The user's account name.

      • archive_files

        array — Information about the archive files.

        Items:

        • download_url

          string — The URL to download the archived file. To download the archived file of a meeting or a webinar, use the download_token value included in the webhook as the access_token query parameter value and include this query parameter at the end of the URL. For example: https://{{base-domain}}/rec/archive/download/xxx?access_token={{your-download_token-value}}

        • encryption_fingerprint

          string — The archived file's encryption fingerprint, using the SHA256 hash algorithm.

        • file_extension

          string — The archived file's extension.

        • file_name

          string — The archived file's name.

        • file_size

          integer — The archived file's size, in bytes.

        • file_type

          string, possible values: "MP4", "M4A", "TRANSCRIPT", "CHAT", "CC", "CHAT_MESSAGE" — The archived file's type. * MP4 - Video file. * M4A - Audio-only file. * TRANSCRIPT - A transcription file, in VTT format. * CHAT - A TXT file containing in-meeting chat messages. * CC - A file containing the closed captions of the recording, in VTT file format. * CHAT_MESSAGE - A JSON file encoded in base64 format containing chat messages. The file also includes waiting room chats, deleted messages, meeting emojis and non-verbal feedback.

        • id

          string — The archived file's ID.

        • individual

[...]
